Вопросы с тегом 'gcc'

Сборник компиляторов GNU - это стандартная система компилятора, используемая во многих Unix-подобных операционных системах, включая Linux. Первоначально предназначенный для компиляции программ на C, теперь он также может обрабатывать C ++, Java и несколько других языков.
3
ответа

Как использовать последний GCC на Ubuntu?

Я хочу скомпилировать мою программу с последней версией gcc . Ubuntu 14.04 поставляется с gcc 4.8.2, однако доступно 4.9.0, более того, я вижу, что он доступен как пакет: gcc-4.9 . Я попытался установить его sudo apt-get install gcc-...
задан 16.05.2014 в 03:11
5
ответов

GLIBCXX_3.4.20 не найден, как исправить эту ошибку?

Whey Я пытаюсь запустить программу Редактор макетов (доступен на этом сайте ) на Ubuntu 14.04.1 64-бит LTS Я получаю следующий вывод в терминале: $ layout layout: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version 'GLIBCXX_3.4.20' not found...
задан 19.01.2015 в 21:36
7
ответов

Получение + установка gcc / g ++ 4.9 на Ubuntu?

Как установить последнюю версию gcc и g ++? Я использую различные функции C ++ 11 и C ++ 1y; поэтому я нуждаюсь в этом.     
задан 02.03.2014 в 04:05
2
ответа

Как установить gcc-4.8

Я проверил версию gcc в своей системе. В настоящее время он находится на уровне 4.6.3. Я прочитал, что gcc-4.8 отсутствует. Я пробовал следующие команды без успеха: sudo apt-get install gcc (gcc is already the newest version) sudo apt-g...
задан 22.03.2013 в 23:25
4
ответа

Как установить gcc 4.7?

Я хочу установить gcc 4.7, чтобы я мог использовать некоторые возможности c ++ 11. Я загрузил источник, запустил ./configure и мне сказали, что мне нужен GMP. Загрузив код для этого, нажмите ./configure , и мне сказали, что мне нужен m4....
задан 15.03.2012 в 19:06
3
ответа

"фатальная ошибка: openssl / opensslv.h: нет такого файла или каталога" компиляция mitmproxy

Я пытаюсь установить пакет mitmproxy через pip следующим образом: $ sudo pip install mitmproxy Он заканчивается следующим сообщением об ошибке: x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict...
задан 11.07.2016 в 13:53
3
ответа

Установить gcc на Ubuntu 12.04 LTS

Когда я пытаюсь установить gcc на сервер Ubuntu 12.04 LTS с apt-get install gcc , я получаю следующую ошибку: The following packages have unmet dependencies: gcc : Depends: cpp (>= 4:4.6.1-2ubuntu5) but it is not going to be installed...
задан 22.06.2012 в 02:49
1
ответ

Кросс-компиляция для ARM

Как настроить GCC для кросс-компиляции для процессора ARM? Хост будет на x86_64 (AMD64 - Ubuntu 12.04), и целью будет ARM (Raspberry Pi, а также Pandaboard - будут делать отдельные компиляции для каждого)?     
задан 02.02.2013 в 21:00
1
ответ

Как установить clang ++?

У меня возникли проблемы с получением clang ++ для работы с компиляцией моего кода. В частности, я получаю ошибку make: clang++: Command not found . Я запустил sudo apt-get install llvm , а также sudo apt-get install build-essential и...
задан 10.08.2014 в 02:54
2
ответа

Как установить и использовать gcc 6 в xenial? [Дубликат]

Я хочу протестировать существующее программное обеспечение с помощью gcc 6, чтобы убедиться, что он будет работать, когда произойдет переход. Как установить gcc 6? Есть ли доступный ppa? Могу ли я просто сделать «CC = gcc-6 make»? Спа...
задан 15.03.2016 в 17:32